Bug 53965 - Character ` is inserted while cycling through the windows on macOS on some keyboard layouts
Summary: Character ` is inserted while cycling through the windows on macOS on some ke...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Mac OS X (All)
: high minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 73586 82988 91398 136586 (view as bug list)
Depends on:
Blocks: MacOS-Wishlist
  Show dependency treegraph
 
Reported: 2012-08-23 11:38 UTC by erwanmotte
Modified: 2020-09-18 12:18 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Graphics: Keys to press to cycle through windows on keyboard with Spanish ISO layout (61.56 KB, image/png)
2012-08-29 11:17 UTC, Roman Eisele
Details
Screenshot of "Keyboard Shortcuts" settings (Mac OS X 10.6.8, UI language English, Spanish ISO keyboard) (142.26 KB, image/png)
2012-09-06 10:07 UTC, Roman Eisele
Details
Screenshot of "Keyboard Shortcuts" settings (Mac OS X 10.8.1, UI language English, Spanish ISO keyboard) (116.55 KB, image/png)
2012-09-06 12:18 UTC, erwanmotte
Details

Note You need to log in before you can comment on or make changes to this bug.
Description erwanmotte 2012-08-23 11:38:31 UTC
Problem description: 

The character ` is inserted while cycling through the windows with the command-`shortcut on Mac. Windows are cycling correctly, but the character is printed in the previous document.


Steps to reproduce:
1. Open two open office documents
2. press command-` to cycle through windows
3. observe the ` character inserted in the previous document

Current behavior:
The character ` is inserted while cycling through the windows with the command-`shortcut

Expected behavior:
The character ` should NOT be inserted while cycling through the windows with the command-` shortcut

Platform (if different from the browser): 
           
Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_8_0) AppleWebKit/537.1 (KHTML, like Gecko) Chrome/21.0.1180.82 Safari/537.1
Comment 1 Roman Eisele 2012-08-23 12:59:51 UTC
Thank you very much for your bug report!

I remember that we had a similar bug report some time ago, and that this issue depends on locale settings. Therefore, in order to solve the problem (or to confirm it as a bug), I first need to ask you:

-- Which MacOS X version do you use (probably 10.8)?

-- Which User Interface language for MacOS X do you use
   (see System Preferences > Language and Text > Languages:
   which one is the topmost language)?

-- Which keyboard layout do you use? The default one for that language,
   or some special one (see System Preferences > Language and Text >
   Input Sources: which "input methods" are selected?)

-- Which User Interface language do you use for LibreOffice?
   (The UI language for LibreOffice is set in menu
   LibreOffice > Preferences... > Language Settings > Languages >
   User Interface).

Given these pieces of information, I may be able to solve the issue.

Thank you in advance!
Comment 2 erwanmotte 2012-08-23 13:20:46 UTC
Thanks for you fast answer!
Please find below answers to your questions
 
> -- Which MacOS X version do you use (probably 10.8)?

Yes, 10.8, but as far as i can remember, i had the same issue with 10.7

> -- Which User Interface language for MacOS X do you use
>    (see System Preferences > Language and Text > Languages:
>    which one is the topmost language)?

English


> -- Which keyboard layout do you use? The default one for that language,
>    or some special one (see System Preferences > Language and Text >
>    Input Sources: which "input methods" are selected?)

Spanish - ISO


> -- Which User Interface language do you use for LibreOffice?
>    (The UI language for LibreOffice is set in menu
>    LibreOffice > Preferences... > Language Settings > Languages >
>    User Interface).

Default - English (USA)
 


Thanks for your concern!
Comment 3 Roman Eisele 2012-08-24 16:32:13 UTC
Thank you very much for your fast answers!

I spent some time searching for the similar issue we had some time ago -- just as a hint for myself (or other bugwranglers), here it is: bug 50428.

Now I need to investigate if the present issue is really related ...
Please be patient, there are so many bug reports to handle ;-)

Setting Status back to UNCONFIRMED for now, this will change soon, I hope.
Comment 4 Roman Eisele 2012-08-29 11:17:13 UTC
Created attachment 66272 [details]
Graphics: Keys to press to cycle through windows on keyboard with Spanish ISO layout


Sorry for the long delay!

In between I have tried to reproduce the issue on my MacBook Pro, just configuring everything according to your settings reported in comment #2 (MacOS UI language English, keyboard layout Spanish ISO, LibreOffice UI language US English. The only two things I can’t change are
* the MacOS X version (10.6.8 in my case) and
* my physical (hardware) keyboard which has German layout (this is very similar
  to Spanish ISO; at least the same number and arrangement of keys, and
  identical position of all the main keys 'A' to 'Z' and '0' to '9').

My first observation is that, using this configuration, there are two possibilities to cycle through windows: 
1) I can press Command + ` (this key is at the top right of the keyboard,
   right of 'P', left of '+') or
2) I can press Command + '<' (this key is at the bottom left,
   right of the shift key, left of 'Z', below 'A').
Both ways work, but when I press Command + `, an additional ` accent is inserted into the text of the active document, just as you have reported, while, when I press Command + '<', everything works fine (windows are exchanged, but no character is inserted into the main text). The latter works with all applications I have tested (LibreOffice, TextEdit, BBEdit, and others).

Because a textual description of keys is a bit difficult, I attach a screenshot/graphics which shows a Spanish ISO keyboard layout and the two keys which I can press to cycle through the open windows.

Now a simple question:
Could you please try if using the second shortcut, i.e. pressing Command + '<' (or whatever lable may have that key on your physical keyboard) instead of Command + `, works for you without problems, just like for me? And report the results here, please! Thank you very much!
Comment 5 erwanmotte 2012-08-29 17:06:11 UTC
Thanks a lot Roman for your detailed answer.

Indeed command + '<' works fine as well for me. However it is not in line with other mac applications (especially the finder). And command + '`' should, in my opinion, cycle the windows in libre office without printing the character.

I do agree that it is a really minor bug, especially if there is an alternative solution. But if it can be addressed in a future release, it would be nice. Maybe a menu item "cycle through windows" could also be added in the window menu.

In the meanwhile, i am fine using command+'<', I've just learned something useful :)
Comment 6 Roman Eisele 2012-09-06 10:07:37 UTC
Created attachment 66716 [details]
Screenshot of "Keyboard Shortcuts" settings (Mac OS X 10.6.8, UI language English, Spanish ISO keyboard)



Sorry again for the long delay!

(In reply to comment #5)
> Indeed command + '<' works fine as well for me. However it is not in line
> with other mac applications (especially the finder). And command + '`'
> should, in my opinion, cycle the windows in libre office without printing
> the character.

This is interesting. If I configure everything according to your settings reported in comment #2, my result is slightly different: for me, Command + '<' works in all applications (including Finder, Apple’s TextEdit, and others), while Command + '`' does not work in many applications.

I would be very interested about what default setting do you see for these keyboard shortcuts in System Preferences > Keyboard, tab "Keyboard Shortcuts". For me, these settings look like the attached screenshot shows: the default screenshots for cycling through windows are Command + '<' and Command + Shift + '<'. Could you create a screenshot of the same preferences section on your system and attach it to this bug report?

This would be very interesting ... so thank you in advance!


> Maybe a menu item "cycle through windows" could also be added in the window
> menu.

IMHO this woild be the best solution, as this menu item could also show the recommended keyboard shortcut (which would eliminate any doubts ;-).
Comment 7 erwanmotte 2012-09-06 12:18:10 UTC
Created attachment 66726 [details]
Screenshot of "Keyboard Shortcuts" settings (Mac OS X 10.8.1, UI language English, Spanish ISO keyboard)
Comment 8 Roman Eisele 2012-09-06 14:22:15 UTC
(In reply to comment #7)
> Created attachment 66726 [details]
> Screenshot of "Keyboard Shortcuts" settings (Mac OS X 10.8.1, UI language
> English, Spanish ISO keyboard)

Thank you! So Command + '`' is really the default keyboard shortcut for "Move focus to next window" on your system. This is interesting; it means that Apple varies even the default keyboard shortcuts for these standard actions -- Command + '<' on my System, even if I set the UI language to English, but Command + '`' on your System.

Now I can answer profoundly to your previous post:

(In reply to comment #5)
> Indeed command + '<' works fine as well for me. However it is not in line with
> other mac applications (especially the finder).

Given the fact that Command + '`' is really the default keyboard shortcut on your system, I agree with you: this shortcut should work in LibreOffice, too.

> And command + '`' should, in my opinion, cycle the windows in libre office
> without printing the character.

Agree -- when Command is down, '`' should not be considered as a dead key, but just as a ordinary key, so that no '`' is inserted into the text, but the shortcut is handled.

> I do agree that it is a really minor bug, especially if there is an
> alternative solution. But if it can be addressed in a future release,
> it would be nice.

Yes. I am afraid that it may take a long time until this issue is addressed (there are so many important issues which should get fixed first), but let us hope the best.

→ Changing bug report state to NEW (confirmed).
Comment 9 Adolfo Jayme 2014-08-23 20:16:50 UTC
*** Bug 82988 has been marked as a duplicate of this bug. ***
Comment 10 Adolfo Jayme 2015-05-19 23:27:55 UTC
*** Bug 91398 has been marked as a duplicate of this bug. ***
Comment 11 QA Administrators 2016-09-20 09:42:26 UTC Comment hidden (obsolete)
Comment 12 eisa01 2017-08-26 18:22:08 UTC
Still present

For me the document shows the ` about to be entered, but even if type an "a" immediately after cycling the ` character is not included in the document

Funnily LibreOffice actually shows ´, while the shortcut is cmd+` which means I actually press cmd+shift+´

This shortcut is horrible though, so I recommend people switch to a saner combination (e.g., ' - the button above the tab)

Version: 5.4.0.3
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
CPU threads: 2; OS: Mac OS X 10.12.6; UI render: default; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 13 eisa01 2017-08-26 21:52:35 UTC
*** Bug 73586 has been marked as a duplicate of this bug. ***
Comment 14 Tor Lillqvist 2018-05-25 10:08:13 UTC
I can reproduce a problem even with a Swedish/Finnish keyboard on macOS 10.13. Although on this keyboard I need to use Cmd-Shift-` to switch between LibreOffice windows. (The ` key is a dead key on this keyboard, it is normally used to add a grave accent to the following letter, like pressing ` and a gives à.) And the character inserted in the Writer document is the dead acute accent, ´ , and it is in the state of waiting for the following character to be applied to, but doesn't actually apply, but is ignored...

When the initial comment talks about the ` character, do you mean the freestanding grave accent (U+0060, plain old ASCII backquote), or what?
Comment 15 Tor Lillqvist 2018-05-25 10:15:43 UTC
OK, with a "Spanish - ISO" keyboard layout (as the original bug reporter) I see the same as with "Finnish". The character inserted is a "dead" accent ` on a blue background, which means it is "waiting" for another letter to be applied to. But as soon as you have switched back to that window, and do anything at all in LibreOffice, it disappears. Is this what you are seeing, too?
Comment 16 eisa01 2019-08-11 11:40:48 UTC
Yes, using Spanish ISO layout

Set up three windows
Cycle through with cmd+`
First window you started from has input the ` and waiting on next letter
It does not disappear when coming back or clicking anywhere (unless pressing Esc)

This does not happen on US keyboard layout

Version: 6.4.0.0.alpha0+
Build ID: 54028dc503fc08eb12e287919d5e2850cff05b73
CPU threads: 4; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2019-07-31_01:48:19
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 17 Alex Thurgood 2020-09-18 12:18:54 UTC
*** Bug 136586 has been marked as a duplicate of this bug. ***